
import 'package:bookmywages/consts_widgets/app_assets.dart';
import 'package:bookmywages/consts_widgets/app_colors.dart';
import 'package:flutter/material.dart';

class SucessfullScreen extends StatefulWidget {
  const SucessfullScreen({super.key});

  @override
  State<SucessfullScreen> createState() => _SucessfullScreenState();
}

class _SucessfullScreenState extends State<SucessfullScreen> {
  @override
  void initState() {
    super.initState();
    // Wait 3 seconds then go back
    Future.delayed(const Duration(seconds: 3), () {
      if (mounted) {
        Navigator.pop(context); // This goes back to the previous screen
      }
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColors.secondprimary,
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Image.asset(AppAssets.sucess, width: 300, height: 300),
            Text(
              "Successful your Booking",
              style: TextStyle(
                fontFamily: 'Mogra',
                fontWeight: FontWeight.w600,
                fontSize: 22,
                height: 57.82 / 25.46, // line-height ratio
                letterSpacing: 1.0,
                color: Color(0xFF0C2C5C),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
